#{extends 'border.html'/}
<div class="container">
#{form @masterdata.ProfilPenyediaCtr.penyediaUkmSubmit(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{masterdata.ProfilPenyediaCtr.index()}">&{'pengaturan.label'}</a></li>
                <li class="active">&{'penyedia_ukm.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton action:@masterdata.ProfilPenyediaCtr.index()/}
				#{saveButton /}
            </div>
            <!-- End Toolbar -->
            #{alert /}
        </div>
    </div>

    #{if penyedia != null}
        <input type="hidden" id="penyedia-id" name="penyedia.id" value="${penyedia?.id}"/>
    #{/if}

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div role="tabpanel" class="tab-pane" id="penyedia-ukm">
                        <ul class="nav nav-tabs" role="tablist">
                            <li role="presentation" class="active">
                                <a href="#informasi" aria-controls="group-role" role="tab" data-toggle="tab">
                                &{'informasi.label'}
                                </a>
                            </li>
                            <li role="presentation">
                                <a href="#form" aria-controls="group-role" role="tab" data-toggle="tab">
                                &{'form.label'}
                                </a>
                            </li>
                        </ul>
                        <div class="tab-content">
                            <div role="tabpanel" class="tab-pane active" id="informasi" style="overflow-x: auto">
                                #{printBerita syaratKetentuan?.isi_konten/}
                            </div>
                            <div role="tabpanel" class="tab-pane" id="form" style="overflow-x: auto">
                                <div class="form-group required">
                                    <label class="col-md-3 control-label">&{'tipe_penyedia.label'}</label>
                                    <div class="col-md-4">
                                        <select name="penyedia.is_umkm" class="form-control select2" style="width:100%" required>
                                            <option value="">&{'pilih.label'}</option>
                                            <option value="1" ${penyedia?.is_umkm == 1 ? "selected" : ""}>&{'usaha_kecil.label'}</option>
                                            <option value="2" ${penyedia?.is_umkm == 2 ? "selected" : ""}>&{'usaha_menengah.label'}</option>
                                            <option value="0" ${penyedia?.is_umkm == 0 ? "selected" : ""}>Non &{'ukm.label'}</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 control-label">&{'surat_pernyataan.label'}</label>
                                    <div class="col-md-4">
                                        <a href="@{masterdata.ProfilPenyediaCtr.getFileUnduh()}" class="btn btn-xs btn-success "><i class="fa fa-download"></i> &{'unduh.label'}</a>
                                    </div>
                                </div>
                                <div class="form-group required">
                                    <label class="col-md-3 control-label">&{'dokumen_pendukung.label'}</label>
                                    <div class="col-md-4"><input type="text" class="form-control" name="dok_label" id="dokLabel" placeholder="&{'nama_dokumen.label'}" ${dokumenInfoList != null ? '' : 'required'}></div>
                                    <div class="col-md-5">
                                        <input id="fileupload" type="file" accept=".doc,.docx,.pdf,.xls,.xlsx,.zip" name="file"  disabled>
                                        <label class="control-label">&{'dokumen.label'} .DOC, .DOCX, .PDF, .XLS, .XLSX, .ZIP</label>
                                    </div>
                                </div>

                                <div id="progress" class="progress" style="display: none;">
                                    <div class="progress-bar progress-bar-success"></div>
                                </div>
                                <div class="form-group">
                                    <div id="alert-upload" style="margin-top: 10px;"></div>
                                    <label class="col-md-3 control-label">&{'total_file.label'}</label>
                                    <div class="col-md-5">
                                        <input id="file-counter" class="disabled" name="file-counter" type="text" value="${dokumenInfoList != null ? dokumenInfoList.size() : 0}" readonly style="width: 25px; border: 0px; margin-top: 5px;">
                                    </div>
                                </div>
                                <div class="form-group" >
                                    <label class="col-md-3 control-label">&{'daftar_file.label'}</label>
                                    <div class="col-md-9">
                                        <ol id="files" class="files" style="padding:15px;">
                                            #{list dokumenInfoList, as:'dokumen'}
                                                <li>${dokumen.file_label} - ${dokumen.name}
                                                    <a href="javascript:void(0)" class="removeDok" versi="${dokumen.versi}" fileId="${dokumen.id}">
                                                        <i class="fa fa-trash-o"></i></a>
                                                    <input type="hidden" name="file_id" value="${dokumen.id}"/>
                                                </li>
                                            #{/list}
                                        </ol>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{set 'moreStyles'}
<style type="text/css">
    #file-counter-error {
        width: 100% !important;
    }
</style>
#{/set}

#{validationPackage /}

#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    var totalUploaded = ${dokumenInfoList != null ? dokumenInfoList.size() : 0};
    var msgs = "&{'paket.upload_failed'}";

    $(document).ready(function () {
        jQuery(function () {
            $('#dokLabel').keyup(function () {
                var label = $(this).val();
                if(label != "" && label != null){
                    $('#fileupload').attr("disabled", false);
                } else {
                    $('#fileupload').attr("disabled", true);
                }
            });

            $(document).on('click', '#fileupload', function(){
                $('#fileupload').fileupload({
                    url: '@{masterdata.ProfilPenyediaCtr.upload()}',
                    formData: {
                        'authenticityToken': $('input[name=authenticityToken]').val(),
                        dok_label: $('#dokLabel').val(),
                        'penyediaId': $('#penyedia-id').val()
                    },
                    dataType: 'json',
                    acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|gif|jpe?g|png|zip|rar|rtf)$/i,
                    done: function (e, data) {
                        $.each(data.result.files, function (index, file) {
                            //file.id adalah doc.id
                            var content = file.file_label + ' - ' + file.name
                                    + ' <a href="javascript:void(0)" class="removeDok" versi="'+file.versi+'" fileId="'+file.blb_id_content+'">' +
                                    '<i class="fa fa-trash-o" ></i></a><input type="hidden" name="file_id" value="' + file.blb_id_content + '">';
                            $('<li/>').html(content).appendTo('#files');
                            totalUploaded++;
                        });
                        $('#progress').hide();
                        $('#alert-upload').hide();
                        $('#file-counter').val(totalUploaded);
                        $('#dokLabel').val('');
                        // $('#dokLabel').change();
                        $('#fileupload').attr('disabled', true).val('');
                        validate();

                        if (data.result.errorx != null){
                            showToast("failed upload dok");
                        }
                    },
                    error: function (jqXHR, exception) {
                        var msg = '';
                        if (jqXHR.status === 0) {
                            msg = 'Not connect.\n Verify Network.';
                        } else if (jqXHR.status == 404) {
                            msg = 'Requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            msg = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            msg = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            msg = 'Time out error.';
                        } else if (exception === 'abort') {
                            msg = 'Ajax request aborted.';
                        } else {
                            msg = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        alert(msg);
                    },
                    progressall: function (e, data) {
                        var progress = parseInt(data.loaded / data.total * 100, 10);
                        $('#progress').show();
                        $('#progress .progress-bar').css(
                                'width',
                                progress + '%'
                        );
                    }
                }).on('fileuploadprocessalways', function (e, data) {
                    var file = data.files[data.index];
                    if (data.files.error && file.error) {
                        var msg = file.name+' - '+file.error
                        $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
                    }
                }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
            });

            $(document).on('click', '.removeDok', function(){
                var versi = $(this).attr('versi');
                var parent = $(this).parent();
                var fileId = $(this).attr('fileId');
                $.ajax({
                    type: 'POST',
                    url: '@{masterdata.ProfilPenyediaCtr.hapusDoc()}',
                    //data : {'fileId': fileId, 'versi': versi, 'authenticityToken': ('input[name=authenticityToken]').val()},
                    data : {'dokId': fileId, 'authenticityToken': $('input[name=authenticityToken]').val()},
                    success : function(res){
                        if(res.result == 'empty'){
                            $('#alert-upload').html('<div class="alert alert-danger" role="alert"> File tidak boleh kosong</div>');
                        }else {
                            $('#alert-upload').html('<div class="alert alert-success" role="alert"> File telah terhapus</div>');
                            parent.remove();
                            totalUploaded--;
                            $('#file-counter').val(totalUploaded);
                        }
                        validate();
                    },
                    error : function(){
                        $('#alert-upload').html('<div class="alert alert-danger" role="alert"> File tidak bisa dihapus</div>');
                        validate();
                    }
                })
            });

            function validate() {
                $('.form-horizontal').valid();
            }

            $('.form-horizontal').validate({
                rules: {
                    'penyedia.is_umkm': {required: true},
                    'file-counter': {required: true, min: 1}
                }, messages: {
                    'penyedia.is_umkm': 'Belum memilih Status Penyedia !',
                    'file-counter': "Belum mengupload file Lampiran Pernyataan"
                },
                highlight: function(element) {
                    $(element).parents('.form-group').addClass('has-error');
                },
                unhighlight: function(element) {
                    $(element).parents('.form-group').removeClass('has-error');
                }
            });

            function showToast(message) {
                jQuery.toast({
                    heading: 'Oops',
                    text: message,
                    position: 'bottom-center',
                    stack: false,
                    icon: 'error',
                    hideAfter: 6000
                })
            }
        });
    });
</script>
#{/set}